<?xml version="1.0"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
   <body>
       <referenceBlock name="content">
            <block class="ShrutiAmbab\PincodeCheck\Block\Catalog\Product\View" name="catalog.product.view.pincodeblock" as="pincode_check" template="Catalog/Product/view.phtml" />
        </referenceBlock>
       <move element="catalog.product.view.pincodeblock" destination="product.info.form.options" before="product.info.options.wrapper.bottom" />
   </body>
</page>